ODFPY: odf.opendocument Namespace Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Classes | Functions | Variables
odf.opendocument Namespace Reference

## Classes
class | OpaqueObject
| just a record to bear a filename, a mediatype and a bytes content More...
class | OpenDocument
| A class to hold the content of an OpenDocument document Use the xml method to write the XML source to the screen or to a file. More...

## Functions
def | OpenDocumentChart
| Creates a chart document. More...
def | OpenDocumentDrawing
| Creates a drawing document. More...
def | OpenDocumentImage
| Creates an image document. More...
def | OpenDocumentPresentation
| Creates a presentation document. More...
def | OpenDocumentSpreadsheet
| Creates a spreadsheet document. More...
def | OpenDocumentText
| Creates a text document. More...
def | OpenDocumentTextMaster
| Creates a text master document. More...
def | load
| Load an ODF file into memory. More...

## Variables
string | __doc__ = """Use OpenDocument to generate your documents."""
| unicode = str
| __version__ = TOOLSVERSION
string | _XMLPROLOGUE = u"<?xml version='1.0' encoding='UTF-8'?>\n"
int | UNIXPERMS = 2175008768
| file permission as an integer value. More...
int | IS_FILENAME = 0
int | IS_IMAGE = 1
dictionary | odmimetypes
| mime-types => file extensions More...

## Function Documentation

def odf.opendocument.load | ( |  | odffile | ) |

Load an ODF file into memory.

Parameters

  odffile | unicode string: name of a file, or as an alternative, an open readable stream

Returns
  a reference to the structure (an OpenDocument instance)

Definition at line 1003 of file opendocument.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.opendocument.OpenDocumentChart | ( |  | ) |

Creates a chart document.

Returns
  an OpenDocument instance with chart mimetype

Definition at line 827 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentDrawing | ( |  | ) |

Creates a drawing document.

Returns
  an OpenDocument instance with drawing mimetype

Definition at line 838 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentImage | ( |  | ) |

Creates an image document.

Returns
  an OpenDocument instance with image mimetype

Definition at line 849 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentPresentation | ( |  | ) |

Creates a presentation document.

Returns
  an OpenDocument instance with presentation mimetype

Definition at line 860 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentSpreadsheet | ( |  | ) |

Creates a spreadsheet document.

Returns
  an OpenDocument instance with spreadsheet mimetype

Definition at line 871 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentText | ( |  | ) |

Creates a text document.

Returns
  an OpenDocument instance with text mimetype

Definition at line 882 of file opendocument.py.

Here is the call graph for this function:

def odf.opendocument.OpenDocumentTextMaster | ( |  | ) |

Creates a text master document.

Returns
  an OpenDocument instance with master mimetype

Definition at line 893 of file opendocument.py.

Here is the call graph for this function:

## Variable Documentation

string odf.opendocument.__doc__ = """Use OpenDocument to generate your documents."""

Definition at line 25 of file opendocument.py.

odf.opendocument.__version__ = TOOLSVERSION

Definition at line 49 of file opendocument.py.

string odf.opendocument._XMLPROLOGUE = u"<?xml version='1.0' encoding='UTF-8'?>\n"

Definition at line 51 of file opendocument.py.

int odf.opendocument.IS_FILENAME = 0

Definition at line 63 of file opendocument.py.

int odf.opendocument.IS_IMAGE = 1

Definition at line 64 of file opendocument.py.

dictionary odf.opendocument.odmimetypes

Initial value:
1 = {
2 u'application/vnd.oasis.opendocument.text': u'.odt',
3 u'application/vnd.oasis.opendocument.text-template': u'.ott',
4 u'application/vnd.oasis.opendocument.graphics': u'.odg',
5 u'application/vnd.oasis.opendocument.graphics-template': u'.otg',
6 u'application/vnd.oasis.opendocument.presentation': u'.odp',
7 u'application/vnd.oasis.opendocument.presentation-template': u'.otp',
8 u'application/vnd.oasis.opendocument.spreadsheet': u'.ods',
9 u'application/vnd.oasis.opendocument.spreadsheet-template': u'.ots',
10 u'application/vnd.oasis.opendocument.chart': u'.odc',
11 u'application/vnd.oasis.opendocument.chart-template': u'.otc',
12 u'application/vnd.oasis.opendocument.image': u'.odi',
13 u'application/vnd.oasis.opendocument.image-template': u'.oti',
14 u'application/vnd.oasis.opendocument.formula': u'.odf',
15 u'application/vnd.oasis.opendocument.formula-template': u'.otf',
16 u'application/vnd.oasis.opendocument.text-master': u'.odm',
17 u'application/vnd.oasis.opendocument.text-web': u'.oth',
18 }

mime-types => file extensions

Definition at line 75 of file opendocument.py.

odf.opendocument.unicode = str

Definition at line 47 of file opendocument.py.

int odf.opendocument.UNIXPERMS = 2175008768

file permission as an integer value.

The following syntax would be invalid for Python3: UNIXPERMS = 0100644 << 16L # -rw-r–r–

So it has been precomputed: 2175008768 is the same value as 0100644 << 16L == -rw-r–r–

Definition at line 61 of file opendocument.py.